php_calldist.d(1m)

NAME
php_calldist.d - measure PHP elapsed times for functions.

SYNOPSIS
php_calldist.d

DESCRIPTION
This traces PHP activity from all programs running on the system with PHP provider support. This script prints distribution plots of elapsed time for PHP operations. Use php_calltime.d for summary reports. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Php provider, which may change as additional features are introduced. Check Php/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # php_calldist.d

FIELDS

1   Filename of the PHP program

2   Type of call (func)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
php_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)